WindowsPaginationVerticalScrollbarUI

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.client
Class WindowsPaginationVerticalScrollbarUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ScrollBarUI
              javax.swing.plaf.basic.BasicScrollBarUI
                  com.sun.java.swing.plaf.windows.WindowsScrollBarUI
                      org.openswing.swing.table.client.WindowsPaginationVerticalScrollbarUI

All Implemented Interfaces:
  java.awt.LayoutManager, PaginationVerticalScrollbarUI, javax.swing.SwingConstants

public class WindowsPaginationVerticalScrollbarUI
extends com.sun.java.swing.plaf.windows.WindowsScrollBarUI
implements PaginationVerticalScrollbarUI

Title: OpenSwing Framework

Description: Vertical scrollbar UI, used inside the pagination vertical scrollbar of the grid control, for Windows LnF.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`javax.swing.plaf.basic.BasicScrollBarUI.PropertyChangeHandler`

Field Summary

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`WindowsPaginationVerticalScrollbarUI()`

Method Summary
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`javax.swing.JButton` | `getDecrButton()`
`javax.swing.JButton` | `getIncrButton()`
`javax.swing.JButton` | `getNextPgButton()`
`javax.swing.JButton` | `getPrevPgButton()`

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsScrollBarUI
`getPreferredSize, uninstallUI`

Methods inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`addLayoutComponent, getMaximumSize, getMinimumSize, installUI, layoutContainer, minimumLayoutSize, paint, preferredLayoutSize, removeLayoutComponent`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsPaginationVerticalScrollbarUI

    public WindowsPaginationVerticalScrollbarUI()

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### getNextPgButton

    public javax.swing.JButton getNextPgButton()

  Specified by:
    `getNextPgButton` in interface `PaginationVerticalScrollbarUI`

### getDecrButton

    public javax.swing.JButton getDecrButton()

  Specified by:
    `getDecrButton` in interface `PaginationVerticalScrollbarUI`

### getIncrButton

    public javax.swing.JButton getIncrButton()

  Specified by:
    `getIncrButton` in interface `PaginationVerticalScrollbarUI`

### getPrevPgButton

    public javax.swing.JButton getPrevPgButton()

  Specified by:
    `getPrevPgButton` in interface `PaginationVerticalScrollbarUI`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD